Description

In migrate_from_trac.rake, there is this code:

name =~ (/(.*)(\s+\w+)?/)

          fn = $1.strip

          ln = ($2 || '-').strip

 The regular expression breaking up name is wrong.  (.*) will match the whole

string, so the entire name is set to $1, so the entire name gets assigned

to fn, and ln is blank.

The attached patch fixes that.  Also, I ran into one case where

the name was empty, so $1.strip threw an exception.  I fixed that too with

the attached patch.

Related to #14567

Related issues:

Related to Redmine - Patch #14567: migrate_from_trac.rake does not convert ti... New

Associated revisions

Revision 12164 - 2013-09-25 19:49 - Jean-Philippe Lang

migrate_from_trac.rake does not properly parse First Name and Last Name (#14592).

Patch by Craig Rodrigues.

Revision 12211 - 2013-10-13 10:24 - Jean-Philippe Lang

Merged r12163 from trunk (#14590, #14592).

Revision 12212 - 2013-10-13 10:26 - Jean-Philippe Lang

Merged r12164 from trunk (#14592).

History

#1 - 2013-08-01 09:55 - Toshi MARUYAMA

- Related to Patch #14567: migrate_from_trac.rake does not convert timestamps in Trac database version 23 added

#2 - 2013-09-25 19:50 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 2.3.4

Patch applied in r12164, thanks!

#3 - 2013-10-13 10:26 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
